Distribution: 	CCux
Packager: 	Karsten Brockmann  <arcam@ccux.de>
Name: 		FreeMat
Version: 	3.6
Release: 	1
Source0: 	%{name}-%{version}.tar.gz
Patch0: 	FreeMat-3.6-gcc43.patch
Summary: 	rapid engineering environment
URL: 		http://freemat.sourceforge.net/
License: 	GNU/GPL
Group: 		Science/Mathmatics
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  qt4-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
# lapack contains required libblas
BuildRequires:  lapack
BuildRequires:  arpack-devel
BuildRequires:  umfpack-devel
# ffcall contains required avcall 
BuildRequires:  ffcall
BuildRequires:  glibc-devel
BuildRequires:  fftw-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gcc-gfortran
BuildRequires:  glib-devel
BuildRequires:  ncurses-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel
BuildRequires:	gcc-gfortran

%description
FreeMat is a free environment for rapid engineering and scientific prototyping and data processing. It is similar to commercial systems such as MATLAB from Mathworks, and IDL from Research Systems, but is Open Source. FreeMat is available under the GPL license.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
# we need to put qt4 in front of $PATH as we
# don't want to pull in old qt3 tools
export PATH=/opt/qt4/bin:$PATH
# lower the OPTFLAGS
export CFLAGS='-O2 -march=i686 -pipe -fomit-frame-pointer'
export CXXFLAGS=$CFLAGS

./configure 	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--infodir=%{_infodir} \
		--enable-shared 

make %{?_smp_mflags}
%install
%{__rm} -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
 
rm -rf $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(-,root,root)
%_bindir
%_datadir/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 03 2008 Christian Metzen <metzench@ccux-linux.de> 3.6-1
- Version update, added gcc 4.3 patch
* Tue Jan 29 2008 Christian Metzen <metzench@ccux-linux.de> 3.4-2
- rebuild against gcc 4.1.2
* Mon Aug 20 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.4-1
- Version Update
* Mon Aug 06 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.3-1
- Version Update
* Thu May 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.2-1
- Version update
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.1-1
- Version update
* Tue Jan 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0-1
- Initial release

